Summary:     Programs which control basic system processes
Name:        SysVinit
Version:     2.78
Release:     1
Source:      ftp://ftp.cistron.nl/pub/people/miquels/software/sysvinit-%{version}.tar.gz
Patch0:      sysvinit-2.78-man.patch
Patch1:      sysvinit-2.77-md5-be.patch
Copyright:   GPL
Group:       System Environment/Base
Requires:    pam >= 0.66-5
BuildRoot:   /tmp/%{name}-%{version}-root

%description
The SysVinit package contains a group of processes that control
the very basic functions of your system. SysVinit includes the init
program, the first program started by the Linux kernel when the
system boots.  Init then controls the startup, running and shutdown
of all other programs.

%prep

%setup -q -n sysvinit-%{version}

%patch0 -p1
%patch1 -p1

%build
make -C src CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

for I in bin sbin usr/bin usr/man/man{1,3,5,8} etc var/run dev; do
	install -d $RPM_BUILD_ROOT/$I
done

make -C src ROOT=$RPM_BUILD_ROOT BIN_OWNER=`id -nu` BIN_GROUP=`id -ng` install

# If this already exists, just do nothing (the ||: part)
mknod --mode=0600 $RPM_BUILD_ROOT/dev/initctl p ||:
ln -snf killall5 $RPM_BUILD_ROOT/sbin/pidof
chgrp tty $RPM_BUILD_ROOT/usr/bin/wall
chmod g+s $RPM_BUILD_ROOT/usr/bin/wall

strip $RPM_BUILD_ROOT/{bin/*,sbin/*,usr/bin/*} ||

%post
[ -e /var/run/initrunlvl ] && ln -s ../var/run/initrunlvl /etc/initrunlvl
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,-)
%doc doc/changelog doc/Install doc/sysvinit-%{version}.lsm contrib/start-stop-daemon.* 
/bin/*
/sbin/*
/usr/bin/*
%attr(-,root,man) %doc /usr/man/*/*
/dev/initctl

%changelog
* Sun Feb 13 2000 Arne Coucheron <arneco@online.no>
  [2.78-1]
- changed summary and description
- added requirenment for PAM

* Fri Sep 03 1999 Arne Coucheron <arneco@online.no>
  [2.77-1]
- changed Group: to comply with RH 6.0

* Thu Nov 12 1998 Arne Coucheron <arneco@online.no>
  [2.76-1]
- removed makefile patch, no longer needed

* Sat Jul 04 1998 Arne Coucheron <arneco@online.no>
  [2.75-2]
- updated the source package to latest version

* Fri Jun 26 1998 Arne Coucheron <arneco@online.no>
  [2.75-1]
- using %defattr macro in filelist
- using install -d instead of mkdir -p
- using $RPM_OPT_FLAGS
- added striping of the binaries
- added -q parameter to %setup
- added language text from Red Hat 5.1 rpm
- cleaned out some changelog entries

* Wed Mar 18 1998 Arne Coucheron <arneco@online.no>
  [2.74-1]

* Sun Feb 22 1998 Arne Coucheron <arneco@online.no>
  [2.72-1]